Tag Parser: TagParser::MatroskaTrackHeaderMaker Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::MatroskaTrackHeaderMaker Class Reference

The MatroskaTrackHeaderMaker class helps writing Matroska "TrackEntry"-elements storing track header information. More...

`#include <matroskatrack.h>`

## Public Member Functions
void | make (std::ostream &stream) const
| Saves the header for the track (specified when constructing the object) to the specified stream (makes a "TrackEntry"-element).
const MatroskaTrack & | track () const
| Returns the number of bytes which will be written when making the track.
std::uint64_t | requiredSize () const
| Returns the number of bytes which will be written when calling make().

## Friends
class | MatroskaTrack

## Detailed Description

The MatroskaTrackHeaderMaker class helps writing Matroska "TrackEntry"-elements storing track header information.

An instance can be obtained using the MatroskaTrack::prepareMakingHeader() method.

Definition at line 13 of file matroskatrack.h.

## Member Function Documentation

## ◆ make()

void TagParser::MatroskaTrackHeaderMaker::make | ( | std::ostream & | stream | ) | const

Saves the header for the track (specified when constructing the object) to the specified stream (makes a "TrackEntry"-element).

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 617 of file matroskatrack.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::MatroskaTrackHeaderMaker::requiredSize | ( |  | ) | const
| inline

Returns the number of bytes which will be written when calling make().

Definition at line 43 of file matroskatrack.h.

## ◆ track()

const MatroskaTrack & TagParser::MatroskaTrackHeaderMaker::track | ( |  | ) | const
| inline

Returns the number of bytes which will be written when making the track.

Definition at line 35 of file matroskatrack.h.

## Friends And Related Symbol Documentation

## ◆ MatroskaTrack

friend class MatroskaTrack
| friend

Definition at line 14 of file matroskatrack.h.

The documentation for this class was generated from the following files:

- matroska/matroskatrack.h
- matroska/matroskatrack.cpp